from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.prompts.create(name="Customer Support Classifier", template="Classify the following customer message into one of these categories: {{categories}}\n\nMessage: {{message}}", description="Classifies incoming customer messages by intent")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.prompts.create({
createPromptRequest: {
name: "Customer Support Classifier",
description: "Classifies incoming customer messages by intent",
template: "Classify the following customer message into one of these categories: {{categories}}\n\nMessage: {{message}}",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Prompts.CreateAsync(body: new MeetKai.MKA1.Types.Components.CreatePromptRequest() {
Name = "Customer Support Classifier",
Description = "Classifies incoming customer messages by intent",
Template = @"Classify the following customer message into one of these categories: {{categories}}
Message: {{message}}",
});
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/llm/prompts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Customer Support Classifier",
"description": "Classifies incoming customer messages by intent",
"template": "Classify the following customer message into one of these categories: {{categories}}\n\nMessage: {{message}}"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Customer Support Classifier',
description: 'Classifies incoming customer messages by intent',
template: 'Classify the following customer message into one of these categories: {{categories}}\n\nMessage: {{message}}'
})
};
fetch('https://apigw.mka1.com/api/v1/llm/prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "prompt_aa87e2b1112a455b8deabed784372198",
"object": "prompt",
"name": "Customer Support Classifier",
"description": "Classifies incoming customer messages by intent",
"active_version": 1,
"latest_version": 1,
"metadata": {},
"created_at": "2026-03-15T10:30:00Z",
"updated_at": "2026-03-15T10:30:00Z",
"version": {
"id": "pver_bb98f3c2223b566c9dfbcef895483209",
"prompt_id": "prompt_aa87e2b1112a455b8deabed784372198",
"version": 1,
"object": "prompt.version",
"template": "Classify the following customer message into one of these categories: {{categories}}\n\nMessage: {{message}}",
"created_at": "2026-03-15T10:30:00Z"
}
}Create a prompt
Creates a new prompt with its first version. The template supports placeholders.
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.prompts.create(name="Customer Support Classifier", template="Classify the following customer message into one of these categories: {{categories}}\n\nMessage: {{message}}", description="Classifies incoming customer messages by intent")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.prompts.create({
createPromptRequest: {
name: "Customer Support Classifier",
description: "Classifies incoming customer messages by intent",
template: "Classify the following customer message into one of these categories: {{categories}}\n\nMessage: {{message}}",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Prompts.CreateAsync(body: new MeetKai.MKA1.Types.Components.CreatePromptRequest() {
Name = "Customer Support Classifier",
Description = "Classifies incoming customer messages by intent",
Template = @"Classify the following customer message into one of these categories: {{categories}}
Message: {{message}}",
});
// handle responseAuthorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Body
Human-readable prompt name
1 - 255The prompt template text with {{variable}} placeholders
1 - 100000Detailed description of the prompt
2000Custom metadata key-value pairs
Show child attributes
Show child attributes
Response
OK
Unique prompt identifier
Object type
Human-readable prompt name
Currently active version number
-9007199254740991 <= x <= 9007199254740991Most recent version number
-9007199254740991 <= x <= 9007199254740991Custom metadata key-value pairs
Show child attributes
Show child attributes
Timestamp when the prompt was created
Timestamp when the prompt was last updated
The initial version created with this prompt
Show child attributes
Show child attributes
Detailed description of the prompt
Was this page helpful?